From efc004abf2d423983ce5a8b7cae1775c98c8a6b4 Mon Sep 17 00:00:00 2001
From: Matthias Schiffer <mschiffer@universe-factory.net>
Date: Sat, 28 May 2016 16:04:40 +0200
Subject: [PATCH] scripts/patch: never GPG-sign automated commits, regardless
 of the default configuration

---
 scripts/patch.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/patch.sh b/scripts/patch.sh
index 6b0fa23fb..90d2de7bc 100755
--- a/scripts/patch.sh
+++ b/scripts/patch.sh
@@ -12,7 +12,7 @@ for module in $GLUON_MODULES; do
 	git checkout -B patching base
 
 	for patch in "$GLUONDIR"/patches/$module/*.patch; do
-		if ! git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' am --whitespace=nowarn --committer-date-is-author-date "$patch"; then
+		if ! git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' -c commit.gpgsign=false am --whitespace=nowarn --committer-date-is-author-date "$patch"; then
 			git am --abort
 			git checkout patched
 			git branch -D patching
-- 
GitLab